Package: org.grails.cli.interactive.completers

## [Java] Class SortedAggregateCompleter

- org.grails.cli.interactive.completers.SortedAggregateCompleter

- All Implemented Interfaces and Traits:
    jline.console.completer.Completer

      public class SortedAggregateCompleter

  Copied from jline AggregateCompleter sorts aggregated completions

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `private class` | `SortedAggregateCompleter.Completion` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.List<jline.console.completer.Completer>` | `completers` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SortedAggregateCompleter ()`
    `SortedAggregateCompleter (java.util.Collection<jline.console.completer.Completer> completers)` Construct an AggregateCompleter with the given collection of completers.
    `SortedAggregateCompleter (jline.console.completer.Completer completers)` Construct an AggregateCompleter with the given completers.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `complete(java.lang.String buffer, int cursor, java.util.List<java.lang.CharSequence> candidates)` Perform a completion operation across all aggregated completers.
    `` | `public java.util.Collection<jline.console.completer.Completer>` | `getCompleters()` Retrieve the collection of completers currently being aggregated.
    `` | `public java.lang.String` | `toString()` Returns: a string representing the aggregated completers

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.util.List<jline.console.completer.Completer> completers

  - ### Constructor Detail

    - #### public SortedAggregateCompleter()

    - #### public SortedAggregateCompleter(java.util.Collection<jline.console.completer.Completer> completers)

      Construct an AggregateCompleter with the given collection of completers. The completers will be used in the iteration order of the collection.

      Parameters:
        `completers` - the collection of completers

    - #### public SortedAggregateCompleter(jline.console.completer.Completer completers)

      Construct an AggregateCompleter with the given completers. The completers will be used in the order given.

      Parameters:
        `completers` - the completers

  - ### Method Detail

    - #### public int complete(java.lang.String buffer, int cursor, java.util.List<java.lang.CharSequence> candidates)

      Perform a completion operation across all aggregated completers.

      See Also:
        Completer#complete(String, int, java.util.List)
      Returns:
        the highest completion return value from all completers

    - #### public java.util.Collection<jline.console.completer.Completer> getCompleters()

      Retrieve the collection of completers currently being aggregated.

      Returns:
        the aggregated completers

    - #### @java.lang.Override public java.lang.String toString()

      Returns:
        a string representing the aggregated completers